mixin head
    head  
        meta(charset='utf-8')
        title Best Movies
        meta(content='width=device-width, initial-scale=1.0' name='viewport')
        meta(content='' name='keywords')
        meta(content='' name='description')
        link(href='/assets/img/FS.png' rel='icon')
        link(href='https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700' rel='stylesheet')
        link(href='/assets/lib/bootstrap/css/bootstrap.min.css' rel='stylesheet')
        link(href='/assets/lib/font-awesome/css/font-awesome.min.css' rel='stylesheet')
        link(href='/assets/lib/animate/animate.min.css' rel='stylesheet')
        link(href='/assets/lib/ionicons/css/ionicons.min.css' rel='stylesheet')
        link(href='/assets/lib/owlcarousel/assets/owl.carousel.min.css' rel='stylesheet')
        link(href='/assets/css/style.css' rel='stylesheet')
        meta(name='google-signin-client_id' content='814972332895-e18j8hdf388tcp54639msap1t4fu9gvk.apps.googleusercontent.com')
        //Cliente google
mixin navbar(view)
    nav.navbar.navbar-default.navbar-trans.navbar-expand-lg.fixed-top
        .container
            button.navbar-toggler.collapsed(type='button' data-toggle='collapse' data-target='#navbarDefault' aria-controls='navbarDefault' aria-expanded='false' aria-label='Toggle navigation')
                span
                span
                span
            a.navbar-brand.text-brand(href='/')
                | Best  
                span.color-b Movies
            button.btn.btn-link.nav-search.navbar-toggle-box-collapse.d-md-none(type='button' data-toggle='collapse' data-target='#navbarTogglerDemo01' aria-expanded='false')
                span.fa.fa-search(aria-hidden='true')
            #navbarDefault.navbar-collapse.collapse.justify-content-center
                ul.navbar-nav
                    li.nav-item
                        a(class=view==='home' ? 'nav-link active' : 'nav-link' href='/') Inicio
                    li.nav-item
                        a(class=view==='about' ? 'nav-link active' : 'nav-link' href='/about') Nosotros
                    li.nav-item
                        a(class=view==='blog' ? 'nav-link active' : 'nav-link' href='/pelicula') Peliculas
                    li.nav-item
                        a(class=view==='contactanos' ? 'nav-link active' : 'nav-link' href='/contact') Contáctanos
                        
                    //li.nav-item 
                        .g-signin2(data-onsuccess='onSignIn') //
                    if user
                        li.nav-item
                            a(class='nav-link' onclick='signOut();' href='/salir') Cerrar Sesión     
                                script.
                                    function signOut() {
                                        var auth2 = gapi.auth2.getAuthInstance();
                                        auth2.signOut().then(function () {
                                            console.log('User signed out.');
                                        });
                                        auth2.disconnect();
                                    }
                                    function onLoad() {
                                        gapi.load('auth2', function() {
                                            gapi.auth2.init();
                                        });
                                    }
                    else
                        li.nav-items
                            a(class=view==='login' ? 'nav-link active' : 'nav-link' href='/login') Ingresar
                    if localStorage.getItem('myFirstKey')
                        li.nav-item
                        .row
                            .col-md-6.mb-3    
                                a(class='nav-link') #{localStorage.getItem('name')}
                            .col-md-6.mb-3    
                                img.comment-login(src=`${localStorage.getItem('myFirstKey')}` )
                   


mixin footer
    footer
        .container
            .row
                .col-md-12
                    nav.nav-footer
                    .socials-a
                        ul.list-inline
                            li.list-inline-item
                                a(href='#')
                                    i.fa.fa-facebook(aria-hidden='true')
                            li.list-inline-item
                                a(href='#')
                                    i.fa.fa-twitter(aria-hidden='true')
                            li.list-inline-item
                                a(href='#')
                                    i.fa.fa-instagram(aria-hidden='true')
                            li.list-inline-item
                                a(href='#')
                                    i.fa.fa-pinterest-p(aria-hidden='true')
                            li.list-inline-item
                                a(href='#')
                                    i.fa.fa-dribbble(aria-hidden='true')
                    .copyright-footer
                        p.copyright.color-text-a
                            | &copy; Copyright 
                            span.text-danger Frenrihr
                            |  Studios
                            span.text-info  Todos los Rerechos Reservados.

mixin about(nombre, nick, title, img)
    .col-lg-4
        img.bd-placeholder-img.rounded-circle(src=img width='140' height='140')
        hr
        h2.font-weight-bold=nick
        h5.font-weight-lighter=nombre
        p=title
        hr

mixin error(error)
    each val in error
        .alert.alert-danger.alert-dismissible.fade.show(role='alert')
            strong= val.text
            button.close(type='button' data-dismiss='alert' aria-label='Close')
                span(aria-hidden='true') &times;

mixin scripts
    script(src='/assets/lib/jquery/jquery.min.js')
    script(src='/assets/lib/jquery/jquery-migrate.min.js')
    script(src='/assets/lib/popper/popper.min.js')
    script(src='/assets/lib/bootstrap/js/bootstrap.min.js')
    script(src='/assets/lib/easing/easing.min.js')
    script(src='/assets/lib/owlcarousel/owl.carousel.min.js')
    script(src='/assets/lib/scrollreveal/scrollreveal.min.js')
    script(src='/assets/js/main.js')
    //script google
    script(src='https://apis.google.com/js/platform.js?onload=onLoad' async='' defer='')
    